LIBRARIAN=ilibr
OCCAM=oc
LINK=ilink
CONFIG=icconf
OCONFIG=occonf
COLLECT=icollect
CC=icc
DELETE=rm
LIBOPT=
OCCOPT=
LINKOPT=
CONFOPT=
OCONFOPT=
COLLECTOPT= -p ARMst.map
COPT=
#ISWITCHIP= /usr/r2/users/psf/toolset/tools/iswitchinput
#cleanup: all clean
#all: ARMst.btl ARMst.dsc

#ARMst.dsc: ARMst.map
#$(ISWITCHIP) ARMst.map ARMst.dsc
#rm ARMst.map

##### IMAKEF CUT #####

ARMst.btl: ARMst.cfb 
	$(COLLECT) ARMst.cfb -o ARMst.btl $(COLLECTOPT)

ARMst.cfb: ARMst.pgm /home/amu5/users/georget/Phd/Simul/Defs/defs.inc \
           /usr/r2/users/psf/toolset/libs/hostio.inc Process1.cah Process2.cah \
           Process3.cah Process4.cah Process5.cah Process6.cah IOProcess.cah \
           Forward.cah 
	$(OCONFIG) ARMst.pgm -o ARMst.cfb $(OCONFOPT)

Process1.cah: Process1.lah Process1.tah 
	$(LINK) -f Process1.lah -ta -h -o Process1.cah $(LINKOPT)

Process1.tah: Process1.occ /home/amu5/users/georget/Phd/Simul/Defs/defs.inc \
              /home/amu5/users/georget/Phd/Simul/library.tah \
              /home/amu5/users/georget/Phd/Simul/Dec1/Dec1.tah \
              /home/amu5/users/georget/Phd/Simul/Decode2/Decode2.tah \
              /home/amu5/users/georget/Phd/Simul/IMMPipe/IMMPipe.tah 
	$(OCCAM) Process1 -ta -h -o Process1.tah $(OCCOPT)

/home/amu5/users/georget/Phd/Simul/library.tah: \
                                               /home/amu5/users/georget/Phd/Simul/library.occ \
                                               /home/amu5/users/georget/Phd/Simul/Defs/defs.inc \
                                               /usr/r2/users/psf/toolset/libs/string.lib \
                                               /usr/r2/users/psf/toolset/libs/string.liu \
                                               /usr/r2/users/psf/toolset/libs/convert.lib 
	$(OCCAM) /home/amu5/users/georget/Phd/Simul/library -ta -h -o /home/amu5/users/georget/Phd/Simul/library.tah $(OCCOPT)

/home/amu5/users/georget/Phd/Simul/Dec1/Dec1.tah: \
                                                 /home/amu5/users/georget/Phd/Simul/Dec1/Dec1.occ \
                                                 /home/amu5/users/georget/Phd/Simul/Defs/defs.inc \
                                                 /home/amu5/users/georget/Phd/Simul/library.tah \
                                                 /home/amu5/users/georget/Phd/Simul/Dec1/Dec1CtrlA.tah \
                                                 /home/amu5/users/georget/Phd/Simul/Dec1/Dec1CtrlB.tah \
                                                 /home/amu5/users/georget/Phd/Simul/Dec1/RdGen.tah 
	$(OCCAM) /home/amu5/users/georget/Phd/Simul/Dec1/Dec1 -ta -h -o /home/amu5/users/georget/Phd/Simul/Dec1/Dec1.tah $(OCCOPT)

/home/amu5/users/georget/Phd/Simul/Dec1/Dec1CtrlA.tah: \
                                                      /home/amu5/users/georget/Phd/Simul/Dec1/Dec1CtrlA.occ \
                                                      /home/amu5/users/georget/Phd/Simul/Defs/defs.inc \
                                                      /home/amu5/users/georget/Phd/Simul/PLA/XcpC.inc \
                                                      /home/amu5/users/georget/Phd/Simul/library.tah \
                                                      /usr/r2/users/psf/toolset/libs/debug.lib 
	$(OCCAM) /home/amu5/users/georget/Phd/Simul/Dec1/Dec1CtrlA -ta -h -o /home/amu5/users/georget/Phd/Simul/Dec1/Dec1CtrlA.tah $(OCCOPT)

/home/amu5/users/georget/Phd/Simul/Dec1/Dec1CtrlB.tah: \
                                                      /home/amu5/users/georget/Phd/Simul/Dec1/Dec1CtrlB.occ \
                                                      /home/amu5/users/georget/Phd/Simul/Defs/defs.inc \
                                                      /home/amu5/users/georget/Phd/Simul/PLA/RegC.inc \
                                                      /home/amu5/users/georget/Phd/Simul/PLA/PslC.inc \
                                                      /home/amu5/users/georget/Phd/Simul/PLA/NbsC.inc \
                                                      /home/amu5/users/georget/Phd/Simul/PLA/SeqC.inc \
                                                      /home/amu5/users/georget/Phd/Simul/library.tah 
	$(OCCAM) /home/amu5/users/georget/Phd/Simul/Dec1/Dec1CtrlB -ta -h -o /home/amu5/users/georget/Phd/Simul/Dec1/Dec1CtrlB.tah $(OCCOPT)

/home/amu5/users/georget/Phd/Simul/Dec1/RdGen.tah: \
                                                  /home/amu5/users/georget/Phd/Simul/Dec1/RdGen.occ \
                                                  /home/amu5/users/georget/Phd/Simul/Defs/defs.inc \
                                                  /home/amu5/users/georget/Phd/Simul/library.tah 
	$(OCCAM) /home/amu5/users/georget/Phd/Simul/Dec1/RdGen -ta -h -o /home/amu5/users/georget/Phd/Simul/Dec1/RdGen.tah $(OCCOPT)

/home/amu5/users/georget/Phd/Simul/Decode2/Decode2.tah: \
                                                       /home/amu5/users/georget/Phd/Simul/Decode2/Decode2.occ \
                                                       /home/amu5/users/georget/Phd/Simul/Defs/defs.inc \
                                                       /home/amu5/users/georget/Phd/Simul/library.tah \
                                                       /home/amu5/users/georget/Phd/Simul/Decode2/Ctrl2.tah \
                                                       /home/amu5/users/georget/Phd/Simul/Decode2/Dec2.tah \
                                                       /home/amu5/users/georget/Phd/Simul/Decode2/NGen.tah 
	$(OCCAM) /home/amu5/users/georget/Phd/Simul/Decode2/Decode2 -ta -h -o /home/amu5/users/georget/Phd/Simul/Decode2/Decode2.tah $(OCCOPT)

/home/amu5/users/georget/Phd/Simul/Decode2/Ctrl2.tah: \
                                                     /home/amu5/users/georget/Phd/Simul/Decode2/Ctrl2.occ \
                                                     /home/amu5/users/georget/Phd/Simul/Defs/defs.inc \
                                                     /home/amu5/users/georget/Phd/Simul/library.tah 
	$(OCCAM) /home/amu5/users/georget/Phd/Simul/Decode2/Ctrl2 -ta -h -o /home/amu5/users/georget/Phd/Simul/Decode2/Ctrl2.tah $(OCCOPT)

/home/amu5/users/georget/Phd/Simul/Decode2/Dec2.tah: \
                                                    /home/amu5/users/georget/Phd/Simul/Decode2/Dec2.occ \
                                                    /home/amu5/users/georget/Phd/Simul/Defs/defs.inc \
                                                    /home/amu5/users/georget/Phd/Simul/PLA/ShfC.inc \
                                                    /home/amu5/users/georget/Phd/Simul/library.tah 
	$(OCCAM) /home/amu5/users/georget/Phd/Simul/Decode2/Dec2 -ta -h -o /home/amu5/users/georget/Phd/Simul/Decode2/Dec2.tah $(OCCOPT)

/home/amu5/users/georget/Phd/Simul/Decode2/NGen.tah: \
                                                    /home/amu5/users/georget/Phd/Simul/Decode2/NGen.occ \
                                                    /home/amu5/users/georget/Phd/Simul/Defs/defs.inc \
                                                    /home/amu5/users/georget/Phd/Simul/library.tah 
	$(OCCAM) /home/amu5/users/georget/Phd/Simul/Decode2/NGen -ta -h -o /home/amu5/users/georget/Phd/Simul/Decode2/NGen.tah $(OCCOPT)

/home/amu5/users/georget/Phd/Simul/IMMPipe/IMMPipe.tah: \
                                                       /home/amu5/users/georget/Phd/Simul/IMMPipe/IMMPipe.occ \
                                                       /home/amu5/users/georget/Phd/Simul/Defs/defs.inc \
                                                       /home/amu5/users/georget/Phd/Simul/library.tah 
	$(OCCAM) /home/amu5/users/georget/Phd/Simul/IMMPipe/IMMPipe -ta -h -o /home/amu5/users/georget/Phd/Simul/IMMPipe/IMMPipe.tah $(OCCOPT)

Process2.cah: Process2.lah Process2.tah 
	$(LINK) -f Process2.lah -ta -h -o Process2.cah $(LINKOPT)

Process2.tah: Process2.occ /home/amu5/users/georget/Phd/Simul/Defs/defs.inc \
              /home/amu5/users/georget/Phd/Simul/library.tah \
              /home/amu5/users/georget/Phd/Simul/AddInt/AddInt.tah 
	$(OCCAM) Process2 -ta -h -o Process2.tah $(OCCOPT)

/home/amu5/users/georget/Phd/Simul/AddInt/AddInt.tah: \
                                                     /home/amu5/users/georget/Phd/Simul/AddInt/AddInt.occ \
                                                     /home/amu5/users/georget/Phd/Simul/Defs/defs.inc \
                                                     /home/amu5/users/georget/Phd/Simul/library.tah \
                                                     /home/amu5/users/georget/Phd/Simul/AddInt/AddressInt.tah \
                                                     /home/amu5/users/georget/Phd/Simul/AddInt/AddC.tah 
	$(OCCAM) /home/amu5/users/georget/Phd/Simul/AddInt/AddInt -ta -h -o /home/amu5/users/georget/Phd/Simul/AddInt/AddInt.tah $(OCCOPT)

/home/amu5/users/georget/Phd/Simul/AddInt/AddressInt.tah: \
                                                         /home/amu5/users/georget/Phd/Simul/AddInt/AddressInt.occ \
                                                         /home/amu5/users/georget/Phd/Simul/Defs/defs.inc \
                                                         /home/amu5/users/georget/Phd/Simul/library.tah \
                                                         /usr/r2/users/psf/toolset/libs/debug.lib 
	$(OCCAM) /home/amu5/users/georget/Phd/Simul/AddInt/AddressInt -ta -h -o /home/amu5/users/georget/Phd/Simul/AddInt/AddressInt.tah $(OCCOPT)

/home/amu5/users/georget/Phd/Simul/AddInt/AddC.tah: \
                                                   /home/amu5/users/georget/Phd/Simul/AddInt/AddC.occ \
                                                   /home/amu5/users/georget/Phd/Simul/Defs/defs.inc \
                                                   /home/amu5/users/georget/Phd/Simul/library.tah 
	$(OCCAM) /home/amu5/users/georget/Phd/Simul/AddInt/AddC -ta -h -o /home/amu5/users/georget/Phd/Simul/AddInt/AddC.tah $(OCCOPT)

Process3.cah: Process3.lah Process3.tah 
	$(LINK) -f Process3.lah -ta -h -o Process3.cah $(LINKOPT)

Process3.tah: Process3.occ /home/amu5/users/georget/Phd/Simul/Defs/defs.inc \
              /home/amu5/users/georget/Phd/Simul/library.tah \
              /home/amu5/users/georget/Phd/Simul/Decode3/Decode3.tah \
              /home/amu5/users/georget/Phd/Simul/DatInt/DatInt.tah 
	$(OCCAM) Process3 -ta -h -o Process3.tah $(OCCOPT)

/home/amu5/users/georget/Phd/Simul/Decode3/Decode3.tah: \
                                                       /home/amu5/users/georget/Phd/Simul/Decode3/Decode3.occ \
                                                       /home/amu5/users/georget/Phd/Simul/Defs/defs.inc \
                                                       /home/amu5/users/georget/Phd/Simul/library.tah \
                                                       /home/amu5/users/georget/Phd/Simul/Decode3/Dec3.tah \
                                                       /home/amu5/users/georget/Phd/Simul/Decode3/Ctrl3.tah 
	$(OCCAM) /home/amu5/users/georget/Phd/Simul/Decode3/Decode3 -ta -h -o /home/amu5/users/georget/Phd/Simul/Decode3/Decode3.tah $(OCCOPT)

/home/amu5/users/georget/Phd/Simul/Decode3/Dec3.tah: \
                                                    /home/amu5/users/georget/Phd/Simul/Decode3/Dec3.occ \
                                                    /home/amu5/users/georget/Phd/Simul/Defs/defs.inc \
                                                    /home/amu5/users/georget/Phd/Simul/PLA/AluC.inc \
                                                    /home/amu5/users/georget/Phd/Simul/library.tah 
	$(OCCAM) /home/amu5/users/georget/Phd/Simul/Decode3/Dec3 -ta -h -o /home/amu5/users/georget/Phd/Simul/Decode3/Dec3.tah $(OCCOPT)

/home/amu5/users/georget/Phd/Simul/Decode3/Ctrl3.tah: \
                                                     /home/amu5/users/georget/Phd/Simul/Decode3/Ctrl3.occ \
                                                     /home/amu5/users/georget/Phd/Simul/Defs/defs.inc \
                                                     /home/amu5/users/georget/Phd/Simul/PLA/Mode.inc \
                                                     /home/amu5/users/georget/Phd/Simul/PLA/CondC.inc \
                                                     /home/amu5/users/georget/Phd/Simul/PLA/CPmxC.inc \
                                                     /home/amu5/users/georget/Phd/Simul/library.tah 
	$(OCCAM) /home/amu5/users/georget/Phd/Simul/Decode3/Ctrl3 -ta -h -o /home/amu5/users/georget/Phd/Simul/Decode3/Ctrl3.tah $(OCCOPT)

/home/amu5/users/georget/Phd/Simul/DatInt/DatInt.tah: \
                                                     /home/amu5/users/georget/Phd/Simul/DatInt/DatInt.occ \
                                                     /home/amu5/users/georget/Phd/Simul/Defs/defs.inc \
                                                     /home/amu5/users/georget/Phd/Simul/library.tah \
                                                     /usr/r2/users/psf/toolset/libs/debug.lib 
	$(OCCAM) /home/amu5/users/georget/Phd/Simul/DatInt/DatInt -ta -h -o /home/amu5/users/georget/Phd/Simul/DatInt/DatInt.tah $(OCCOPT)

Process4.cah: Process4.lah Process4.tah 
	$(LINK) -f Process4.lah -ta -h -o Process4.cah $(LINKOPT)

Process4.tah: Process4.occ /home/amu5/users/georget/Phd/Simul/Defs/defs.inc \
              /home/amu5/users/georget/Phd/Simul/library.tah \
              /home/amu5/users/georget/Phd/Simul/Reg/Reg.tah 
	$(OCCAM) Process4 -ta -h -o Process4.tah $(OCCOPT)

/home/amu5/users/georget/Phd/Simul/Reg/Reg.tah: \
                                               /home/amu5/users/georget/Phd/Simul/Reg/Reg.occ \
                                               /home/amu5/users/georget/Phd/Simul/Defs/defs.inc \
                                               /home/amu5/users/georget/Phd/Simul/library.tah 
	$(OCCAM) /home/amu5/users/georget/Phd/Simul/Reg/Reg -ta -h -o /home/amu5/users/georget/Phd/Simul/Reg/Reg.tah $(OCCOPT)

Process5.cah: Process5.lah Process5.tah 
	$(LINK) -f Process5.lah -ta -h -o Process5.cah $(LINKOPT)

Process5.tah: Process5.occ /home/amu5/users/georget/Phd/Simul/Defs/defs.inc \
              /home/amu5/users/georget/Phd/Simul/library.tah \
              /home/amu5/users/georget/Phd/Simul/WrtCtrl/WrtCtrl.tah 
	$(OCCAM) Process5 -ta -h -o Process5.tah $(OCCOPT)

/home/amu5/users/georget/Phd/Simul/WrtCtrl/WrtCtrl.tah: \
                                                       /home/amu5/users/georget/Phd/Simul/WrtCtrl/WrtCtrl.occ \
                                                       /home/amu5/users/georget/Phd/Simul/Defs/defs.inc \
                                                       /home/amu5/users/georget/Phd/Simul/library.tah 
	$(OCCAM) /home/amu5/users/georget/Phd/Simul/WrtCtrl/WrtCtrl -ta -h -o /home/amu5/users/georget/Phd/Simul/WrtCtrl/WrtCtrl.tah $(OCCOPT)

Process6.cah: Process6.lah Process6.tah 
	$(LINK) -f Process6.lah -ta -h -o Process6.cah $(LINKOPT)

Process6.tah: Process6.occ /home/amu5/users/georget/Phd/Simul/Defs/defs.inc \
              /home/amu5/users/georget/Phd/Simul/library.tah \
              /home/amu5/users/georget/Phd/Simul/Memory/Mem.tah 
	$(OCCAM) Process6 -ta -h -o Process6.tah $(OCCOPT)

/home/amu5/users/georget/Phd/Simul/Memory/Mem.tah: \
                                                  /home/amu5/users/georget/Phd/Simul/Memory/Mem.occ \
                                                  /home/amu5/users/georget/Phd/Simul/Defs/defs.inc \
                                                  /usr/r2/users/psf/toolset/libs/hostio.inc \
                                                  /usr/r2/users/psf/toolset/libs/hostio.lib \
                                                  /usr/r2/users/psf/toolset/libs/hostio.liu \
                                                  /usr/r2/users/psf/toolset/libs/convert.lib \
                                                  /usr/r2/users/psf/toolset/libs/debug.lib \
                                                  /usr/r2/users/psf/toolset/libs/string.lib \
                                                  /usr/r2/users/psf/toolset/libs/string.liu \
                                                  /home/amu5/users/georget/Phd/Simul/library.tah 
	$(OCCAM) /home/amu5/users/georget/Phd/Simul/Memory/Mem -ta -h -o /home/amu5/users/georget/Phd/Simul/Memory/Mem.tah $(OCCOPT)

IOProcess.cah: IOProcess.lah IOProcess.tah 
	$(LINK) -f IOProcess.lah -ta -h -o IOProcess.cah $(LINKOPT)

IOProcess.tah: IOProcess.occ /home/amu5/users/georget/Phd/Simul/Defs/defs.inc \
               /usr/r2/users/psf/toolset/libs/hostio.inc \
               /usr/r2/users/psf/toolset/libs/hostio.lib \
               /usr/r2/users/psf/toolset/libs/hostio.liu \
               /usr/r2/users/psf/toolset/libs/convert.lib \
               /home/amu5/users/georget/Phd/Simul/library.tah \
               /home/amu5/users/georget/Phd/Simul/Simpar/IOprocess.tah 
	$(OCCAM) IOProcess -ta -h -o IOProcess.tah $(OCCOPT)

/home/amu5/users/georget/Phd/Simul/Simpar/IOprocess.tah: \
                                                        /home/amu5/users/georget/Phd/Simul/Simpar/IOprocess.occ \
                                                        /home/amu5/users/georget/Phd/Simul/Defs/defs.inc \
                                                        /usr/r2/users/psf/toolset/libs/hostio.inc \
                                                        /usr/r2/users/psf/toolset/libs/hostio.lib \
                                                        /usr/r2/users/psf/toolset/libs/hostio.liu \
                                                        /usr/r2/users/psf/toolset/libs/convert.lib \
                                                        /usr/r2/users/psf/toolset/libs/debug.lib \
                                                        /usr/r2/users/psf/toolset/libs/string.lib \
                                                        /usr/r2/users/psf/toolset/libs/string.liu \
                                                        /home/amu5/users/georget/Phd/Simul/library.tah 
	$(OCCAM) /home/amu5/users/georget/Phd/Simul/Simpar/IOprocess -ta -h -o /home/amu5/users/georget/Phd/Simul/Simpar/IOprocess.tah $(OCCOPT)

Forward.cah: Forward.lah Forward.tah 
	$(LINK) -f Forward.lah -ta -h -o Forward.cah $(LINKOPT)

Forward.tah: Forward.occ /home/amu5/users/georget/Phd/Simul/Defs/defs.inc \
             /home/amu5/users/georget/Phd/Simul/library.tah 
	$(OCCAM) Forward -ta -h -o Forward.tah $(OCCOPT)

